@echo OFF
rem  * ************************************************************************
rem  *                 TC03CPW1.cmd - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2016 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text   - Compare two Data Files and track record inserts and deletes.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * *******************************************************************
rem  * Step 1, Delete any previously created file...
rem  *
     set CmdName=TC03CPW1
     call ..\Env1BASE
     set SYSLOG=%BaseLib1%\LOGS\TESTCASE.TC03.TC03LOGS.dat
     run SYSLOGC8
     set SYSOUT=%BaseLib1%\DATA\SPOOL\TESTCASE.TC03.TC03SP09.txt
     if exist %SYSOUT% erase %SYSOUT%
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%"
     call SimoNOTE "Identify JobStep DeleteLSEQ"
     set TC03ACTL=%BaseLib1%\DATA\APPL\TESTCASE.TC03.TC03SAME.dat
     set TC03EXPT=%BaseLib1%\DATA\ASC1\TESTCASE.TC03.TC03BASE.dat
rem  *
rem  * *******************************************************************
rem  * Step 2, Compare two non-relational Record Sequential File (RSEQ)
rem  *         with 128-byte, ASCII-encoded records.
rem  *
     call SimoNOTE "Identify JobStep Do the File Compare"
     run TC03CPC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto EojNok
rem  *
rem  * *******************************************************************
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     set SYSLOGVR=%SYSLOG%
     set SYSLOGLS=%BASELIB1%\LOGS\TESTCASE.TC03.TC03LOGS.txt
     if exist %SYSLOGLS% erase %SYSLOGLS%
     run SYSLOGC1
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     call SimoNOTE "Conclude TxtLog is %SYSLOGLS%"
     if not "%1" == "nopause" pause
